import request from '@/utils/request.js'

//根据角色或者部门获取到对应的数据
export function getUserTree(type,chooseId){
    return request({
        url:`/admin/user/choose/${type}/${chooseId}`,
        method:'get'

    })
}

// 查询系统角色
export function getRole() {
    return request({
        url: 'admin/role/option',
        method: 'get'
    })
}
//获取采取树形控件的部门option
export function getDepartmentTree() {
    return request({
        url: 'admin/dept/option',
        method: 'get'
    })
}
export function getMosrUser(params) {
    return request({
        url: '/admin/mosr/user/choose',
        method: 'get',
        params:params
    })
}

export function getOrganizationStructure(params) {
    return request({
        url: '/admin/organizational/structure/choose',
        method: 'get',
        params:params
    })
}
export function getOrganizationStructureTree(params) {
    return request({
        url: '/admin/organizational/structure/tree',
        method: 'get',
        params: params
    })
}
